<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 2.2
| Author: DJ Szabcsa
| W3C validation: dzsar
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."pd_stats_panel/infusion_db.php";

if (file_exists(INFUSIONS."pd_stats_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."pd_stats_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."pd_stats_panel/locale/English.php";
}

$inf_title = $locale['pds100'];
$inf_description = $locale['pds101'];
$inf_version = "2.2";
$inf_developer = "pirdani, Grimloch";
$inf_email = "kontakt@pirdani.de";
$inf_weburl = "http://www.pirdani.de";

$inf_folder = "pd_stats_panel";

$inf_newtable[1] = DB_PD_STATS_BROWSER." (
  browser varchar(50) NOT NULL default '',
  stat bigint(1) NOT NULL default '0',
  PRIMARY KEY  (browser)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_PD_STATS_COUNTER." (
  standing bigint(2) NOT NULL default '0',
  maxonline bigint(1) NOT NULL default '0',
  maxday bigint(1) NOT NULL default '0'
) TYPE=MyISAM;";

$inf_newtable[3] = DB_PD_STATS_OS." (
  os varchar(50) NOT NULL default '',
  stat bigint(1) NOT NULL default '0',
  PRIMARY KEY  (os)
) TYPE=MyISAM;";

$inf_newtable[4] = DB_PD_STATS_REFERER." (
  referer varchar(200) NOT NULL default '',
  stat bigint(1) NOT NULL default '0',
  PRIMARY KEY  (referer)
) TYPE=MyISAM;";

$inf_newtable[5] = DB_PD_STATS_TEMP." (
  id bigint(15) UNSIGNED NOT NULL AUTO_INCREMENT,
  timestamp bigint(10) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_newtable[6] = DB_PD_STATS_MONTH." (
  id bigint(2) UNSIGNED NOT NULL AUTO_INCREMENT,
  month varchar(2) NOT NULL default '',
  year varchar(4) NOT NULL default '',
  stat bigint(10) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;";

$inf_newtable[7] = DB_PD_STATS_SETTINGS." (
  reload varchar(20) NOT NULL default '3600',
  special1 varchar(200) NOT NULL default '[',
  special2 varchar(200) NOT NULL default ']',
  pd_stats_gaeste varchar(1) NOT NULL default 'Y',
  pd_stats_members varchar(1) NOT NULL default 'Y',
  pd_stats_register varchar(1) NOT NULL default 'Y',
  pd_stats_unaktiv varchar(1) NOT NULL default 'Y',
  pd_stats_new varchar(1) NOT NULL default 'Y',
  pd_stats_heute varchar(1) NOT NULL default 'Y',
  pd_stats_online varchar(1) NOT NULL default 'Y',
  pd_stats_maxonline varchar(1) NOT NULL default 'Y',
  pd_stats_maxday varchar(1) NOT NULL default 'Y',
  pd_stats_gestern varchar(1) NOT NULL default 'Y',
  pd_stats_monat varchar(1) NOT NULL default 'Y',
  pd_stats_gesamt varchar(1) NOT NULL default 'Y',
  pd_stats_last_24h varchar(1) NOT NULL default 'Y'
) TYPE=MyISAM;";

$inf_droptable[1] = DB_PD_STATS_BROWSER;
$inf_droptable[2] = DB_PD_STATS_COUNTER;
$inf_droptable[3] = DB_PD_STATS_OS;
$inf_droptable[4] = DB_PD_STATS_REFERER;
$inf_droptable[5] = DB_PD_STATS_TEMP;
$inf_droptable[6] = DB_PD_STATS_MONTH;
$inf_droptable[7] = DB_PD_STATS_SETTINGS;

$inf_adminpanel[1] = array(
	"title" => $locale['pds102'],
	"image" => "image.gif",
	"panel" => "pd_stats_admin.php",
	"rights" => "PDST"
);
?>

